//------------------------------------------------------------------------------
// LITEcomp - aplikacje
// Przykad 4.2
// Obsuga przerwa zewntrznych w jzyku C (Cosmic)
//------------------------------------------------------------------------------
#include <io7flit1.h>

#define S1 	(1 << 0)
#define S2	(1 << 2)
#define LED	(1 << 7)

void main(void)
{
PADDR |= LED; // skonfigurowanie PA7 jako wyjcie
PADR 	|= LED; // ustawienie na PA7 stanu wysokiego
PAOR  |= (S1 | S2);// PA0 i PA2 mog by rdem przerwania
EICR = 0b00000010; // przerwanie od zbocza opadajcego
EISR = 0b00000000; // PA0 rdem przerwania
_asm("rim");
while(1);	// ptla nieskoczona
}

@interrupt void EI0Vect(void) // procedura obsugi przerwania EI0
{
if((PADR & S1)==0)
  {
  PADR &= ~LED;   // wczenie diody LED
  EISR = 0b00000010;// PA2 rdem przerwania
  }
if((PADR & S2)==0)
  {
  PADR |= LED;	 // wyczenie diody LED 
  EISR = 0b00000000;// PA0 rdem przerwania
  }
}
