st7/
;******************************************************************************
; LITEcomp - aplikacje
; Obiornik sygnau RC5
;******************************************************************************
		.NOLIST	
		#INCLUDE 	"st7flite19.inc"
		#INCLUDE 	"lcd.inc"
		#INCLUDE	"RC5.inc"
    .LIST   
		
;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************	
		BYTES 				
		SEGMENT 'ram0'

;******************************************************************************
; obszar pamieci programu		
;******************************************************************************		
		WORDS
		SEGMENT 'rom'
addressText	STRING "Address:   hex",0
commandText STRING "Command:   hex",0

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		CALL	RC5Init						; inicjalizacja
		CALL	lcdinit
		WTXT	addressText
		LD		A, #SECLINEADDR
		CALL	lcdsetaddress
		WTXT	commandText
		RIM											; odblokowanie przerwa

mainLoop
		CALL	WaitForRC5				; oczekiwanie na odebranie kodu
		LD		A, #8							; 8 kolumna
		CALL	lcdsetaddress			; ustawienie wsprzdnych 
		LD		A, RC5Address		
		CALL	writehex					; wywietlenie adresu
		LD		A, #SECLINEADDR		; druga linia
		ADD		A, #8							; 8 kolumna
		CALL	lcdsetaddress			; ustawienie wsprzdnych
		LD		A, RC5Command
		CALL	writehex					; wywietlenie rozkazu
		JRA 	mainLoop 					; skok na pocztek ptli
		
		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************
