st7/
;******************************************************************************
; LITEcomp - aplikacje
;	Przykad 3.17
; Przykad zastosowania ekspanderw MCP23S08 
;******************************************************************************

		.NOLIST	
		#INCLUDE 	"st7flite19.inc"
		#INCLUDE	"mcp23s08.inc"
    .LIST 

;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 					
		SEGMENT 'ram0'

;******************************************************************************
; obszar pamici programu
;******************************************************************************
		WORDS 					
		SEGMENT 'rom' 	

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		CALL	initSPI
		CALL	initMCP

		LD		X, #0							; adres ukadu MCP23S08
		LD		Y, #IOCON					; adres rejestru IOCON
		LD		A, #%00001000			; HAEN - aktywacja wej adresowych
		CALL	MCP23S08WriteReg	; zapis do rejestru ukadu MCP23S08
		
		LD		X, #0							; adres ukadu MCP23S08
		LD		Y, #IODIR					; adres rejestru IODIR
		LD		A, #$F0						; starsza powka - wejcia; modsza - wyjcia
		CALL	MCP23S08WriteReg	; zapis do rejestru ukadu MCP23S08
		
mainLoop
		LD		X, #0							; adres ukadu MCP23S08
		LD		Y, #GPIO					; adres rejestru GPIO
		CALL	MCP23S08ReadReg		; odczyt stanu rejestru GPIO
		SWAP	A									; zamiana pbajtw
		CALL	MCP23S08WriteReg	; zapis do rejestru GPIO
		JRA 	mainLoop					; skok na pocztek ptli gwnej
		
		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************		

