st7/
;******************************************************************************
; LITEcomp - aplikacje
; Plik : font5x8.asm
; Tablica czcionek 5x8 pikseli
; Autor : Radosaw Kwiecie, radoslaw.kwiecien@ep.com.pl
;******************************************************************************


;******************************************************************************
; obszar pamici programu
;******************************************************************************
		WORDS 					
		SEGMENT 'rom' 
		
.font5x8		
	DC.B	$00, $00, $00, $00, $00 ; (spacja)
	DC.B	$00, $00, $5F, $00, $00 ; !
	DC.B	$00, $07, $00, $07, $00 ; "
	DC.B	$14, $7F, $14, $7F, $14 ; #
	DC.B	$24, $2A, $7F, $2A, $12 ; $
	DC.B	$23, $13, $08, $64, $62 ; %
	DC.B	$36, $49, $55, $22, $50 ; &
	DC.B	$00, $05, $03, $00, $00 ; '
	DC.B	$00, $1C, $22, $41, $00 ; (
	DC.B	$00, $41, $22, $1C, $00 ; )
	DC.B	$08, $2A, $1C, $2A, $08 ; *
	DC.B	$08, $08, $3E, $08, $08 ; +
	DC.B	$00, $50, $30, $00, $00 ; ,
	DC.B	$08, $08, $08, $08, $08 ; -
	DC.B	$00, $30, $30, $00, $00 ; .
	DC.B	$20, $10, $08, $04, $02 ; /
	DC.B	$3E, $51, $49, $45, $3E ; 0
	DC.B	$00, $42, $7F, $40, $00 ; 1
	DC.B	$42, $61, $51, $49, $46 ; 2
	DC.B	$21, $41, $45, $4B, $31 ; 3
	DC.B	$18, $14, $12, $7F, $10 ; 4
	DC.B	$27, $45, $45, $45, $39 ; 5
	DC.B	$3C, $4A, $49, $49, $30 ; 6
	DC.B	$01, $71, $09, $05, $03 ; 7
	DC.B	$36, $49, $49, $49, $36 ; 8
	DC.B	$06, $49, $49, $29, $1E ; 9
	DC.B	$00, $36, $36, $00, $00 ; :
	DC.B	$00, $56, $36, $00, $00 ; ;
	DC.B	$00, $08, $14, $22, $41 ; <
	DC.B	$14, $14, $14, $14, $14 ; =
	DC.B	$41, $22, $14, $08, $00 ; >
	DC.B	$02, $01, $51, $09, $06 ; ?
	DC.B	$32, $49, $79, $41, $3E ; @
	DC.B	$7E, $11, $11, $11, $7E ; A
	DC.B	$7F, $49, $49, $49, $36 ; B
	DC.B	$3E, $41, $41, $41, $22 ; C
	DC.B	$7F, $41, $41, $22, $1C ; D
	DC.B	$7F, $49, $49, $49, $41 ; E
	DC.B	$7F, $09, $09, $01, $01 ; F
	DC.B	$3E, $41, $41, $51, $32 ; G
	DC.B	$7F, $08, $08, $08, $7F ; H
	DC.B	$00, $41, $7F, $41, $00 ; I
	DC.B	$20, $40, $41, $3F, $01 ; J
	DC.B	$7F, $08, $14, $22, $41 ; K
	DC.B	$7F, $40, $40, $40, $40 ; L
	DC.B	$7F, $02, $04, $02, $7F ; M
	DC.B	$7F, $04, $08, $10, $7F ; N
	DC.B	$3E, $41, $41, $41, $3E ; O
	DC.B	$7F, $09, $09, $09, $06 ; P
	DC.B	$3E, $41, $51, $21, $5E ; Q
	DC.B	$7F, $09, $19, $29, $46 ; R
	DC.B	$46, $49, $49, $49, $31 ; S
	DC.B	$01, $01, $7F, $01, $01 ; T
	DC.B	$3F, $40, $40, $40, $3F ; U
	DC.B	$1F, $20, $40, $20, $1F ; V
	DC.B	$7F, $20, $18, $20, $7F ; W
	DC.B	$63, $14, $08, $14, $63 ; X
	DC.B	$03, $04, $78, $04, $03 ; Y
	DC.B	$61, $51, $49, $45, $43 ; Z
	DC.B	$00, $00, $7F, $41, $41 ; [
	DC.B	$02, $04, $08, $10, $20 ; "\"
	DC.B	$41, $41, $7F, $00, $00 ; ]
	DC.B	$04, $02, $01, $02, $04 ; ^
	DC.B	$40, $40, $40, $40, $40 ; _
	DC.B	$00, $01, $02, $04, $00 ; `
	DC.B	$20, $54, $54, $54, $78 ; a
	DC.B	$7F, $48, $44, $44, $38 ; b
	DC.B	$38, $44, $44, $44, $20 ; c
	DC.B	$38, $44, $44, $48, $7F ; d
	DC.B	$38, $54, $54, $54, $18 ; e
	DC.B	$08, $7E, $09, $01, $02 ; f
	DC.B	$08, $14, $54, $54, $3C ; g
	DC.B	$7F, $08, $04, $04, $78 ; h
	DC.B	$00, $44, $7D, $40, $00 ; i
	DC.B	$20, $40, $44, $3D, $00 ; j
	DC.B	$00, $7F, $10, $28, $44 ; k
	DC.B	$00, $41, $7F, $40, $00 ; l
	DC.B	$7C, $04, $18, $04, $78 ; m
	DC.B	$7C, $08, $04, $04, $78 ; n
	DC.B	$38, $44, $44, $44, $38 ; o
	DC.B	$7C, $14, $14, $14, $08 ; p
	DC.B	$08, $14, $14, $18, $7C ; q
	DC.B	$7C, $08, $04, $04, $08 ; r
	DC.B	$48, $54, $54, $54, $20 ; s
	DC.B	$04, $3F, $44, $40, $20 ; t
	DC.B	$3C, $40, $40, $20, $7C ; u
	DC.B	$1C, $20, $40, $20, $1C ; v
	DC.B	$3C, $40, $30, $40, $3C ; w
	DC.B	$44, $28, $10, $28, $44 ; x
	DC.B	$0C, $50, $50, $50, $3C ; y
	DC.B	$44, $64, $54, $4C, $44 ; z
	DC.B	$00, $08, $36, $41, $00 ; {
	DC.B	$00, $00, $7F, $00, $00 ; |
	DC.B  $00, $41, $36, $08, $00 ; }
	DC.B	$08, $08, $2A, $1C, $08 ; ->
	DC.B	$08, $1C, $2A, $08, $08 ; <-	
		
	END
;******************************************************************************
; Koniec pliku font5x8.asm
;******************************************************************************