st7/
;******************************************************************************
; LITEcomp - aplikacje
; pusty projekt
;******************************************************************************
		.NOLIST	
		#INCLUDE "st7flite19.inc"
    .LIST   
;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 					; adresy jednobajtowe
		SEGMENT 'ram0'	
dutyL		DS.B  1
dutyH		DS.B	1

;******************************************************************************
; obszar pamieci programu		
;******************************************************************************
		WORDS 					; adresy dwubajtowe
		SEGMENT 'rom' 

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		LD		A, #%00010000
		LD		LTCSR1, A
		
		LD	A, #16
		LD	ATCSR, A
		
		LD	A, #%00000100
		LD	PWMCR, A
		CLR	BREAKCR
		CLR	ATRH
		CLR	ATRL
		CLR	dutyH
		CLR	dutyL
		BSET	PWM1CSR, #1
		RIM
		JRA 	* 				; zatrzymanie programu w ptli nieskoczonej
		
;******************************************************************************
;
;******************************************************************************
._LTRTC1Vect
		LD		A, LTCSR1					; wyzerowanie flagi przerwania
		LD		A, dutyL					;.
		ADD		A, #1							; | Inkrementacja dutyL (nie mona uy INC!)
		LD		dutyL, A					;.
		CLR		A									; wyzerowanie A
		ADC		A, dutyH					; do duty H dodajemy wskanik przeniesienia
		LD		dutyH, A
		JRNH	dalej							; jeli flaga H jest wyzerowana to skok do dalej
		LD		A, PWM1CSR				; 
		XOR		A, #2							; negacja bitu 1 w rejestrze PWM1CSR
		LD		PWM1CSR, A				;
		CLR		dutyL							; wyzerowanie dutyL
		CLR		dutyH							; wyzerowanie dutyH
dalej
		LD		A, dutyH					;
		LD		DCR1H,A						; przepisanie dutyH do DCR1H
		LD		A, dutyL					;
		LD		DCR1L, A					; przepisanie dutyL do DCR1H
		BSET	TRANCR, #0				;
		IRET

		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************
